%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 1.0
%define release	1mdk

%define realname sqlite
%define modname sqlite
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A22_%{modname}.ini

Summary:	SQLite database bindings for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pear.php.net/package-info.php?pacid=193
License:	PHP License
Source0:	SQLite-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
Requires:	php-cli
Requires:	libsqlite0
BuildRequires:	sqlite-devel
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. This
extension allows you to access SQLite databases from within PHP.
   
%prep

%setup -q -n SQLite-%{rversion}

%build

#phpize
#%%configure --enable-%{modname}=shared,%{_prefix}
#%%make
#mv modules/*.so .

SQLITE_VERSION=`rpm -q --qf "[%{VERSION}]" libsqlite0`

%{phpsource}/buildext %{modname} "sqlite.c libsqlite/src/encode.c" \
        "-lsqlite" "-DCOMPILE_DL_SQLITE \
	-DHAVE_SQLITELIB \
	-DSQLITE_ENCODING=\"UTF-8\" \
	-DSQLITE_VERSION=\"${SQLITE_VERSION}\""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README TODO README.%{modname} sqlite.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.0-1mdk
- initial cooker contrib
